/*
 * Proto.h
 *
 *  Created on: Aug 17, 2022
 *      Author: 210055498
 */

interrupt void ADC_A1_Interrupt(void);
interrupt void EPWM1_Interrupt(void);
//interrupt void DMA_CH1_Interrupt(void);
interrupt void USER_Interrupt(void);

void        InitPie(void);
void        InitGpio(void);
void        InitEPwm(void);
void        InitPeripheralClocksCustom(void);
void        InitDAC(void);
void        InitADC(void);
void        InitDMA(void);
void        InitCANA(void);
void        InitVars(void);
void        InitPie(void);
void        InitDataRam(void);
void        InitMemory(void);
void        InitECap(void);
void        InitXBar(void);

void        DacCalc(void);
void        ForegroundFaults(void);
void        BackgroundFaults(void);
void        GPIO_EnableUnbondedIOPullups(void);
void        InitPieCtrl(void);

void        LPFilt1stCoef(struct Dfilt1*, float fc, float Tsmp);
